/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.EOTypeCredit;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EOConvention;
import org.cocktail.kaki.client.metier.EOKx10Element;
import org.cocktail.kaki.client.metier.EOKxElement;
import org.cocktail.kaki.client.metier.EOPafAgent;
import org.cocktail.kaki.client.metier.EOPafCapLbud;
import org.cocktail.kaki.client.metier.EOPafChargesAPayer;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ChargesAPayerView  extends javax.swing.JDialog  {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4324011161081185269L;
	protected EODisplayGroup eod, eodLbud;
	protected ZEOTable myEOTable, myEOTableLbud;
	protected ZEOTableModel myTableModel, myTableModelLbud;
	protected TableSorter myTableSorter, myTableSorterLbud;

	/** Creates new form KxElementsCtrl */
	public ChargesAPayerView(JFrame parent, EODisplayGroup myEod, EODisplayGroup dgLbud, boolean modal) {

		super(parent, modal);

		eod = myEod;
		eodLbud = dgLbud;

		initComponents();

		initGui();

	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        listeMois = new javax.swing.JComboBox();
        btnAjouter = new javax.swing.JButton();
        buttonCLose = new javax.swing.JButton();
        tfTitre = new javax.swing.JTextField();
        viewTable = new javax.swing.JPanel();
        tfNbElements = new javax.swing.JLabel();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        exercices = new javax.swing.JComboBox();
        buttonPrintAgent = new javax.swing.JButton();
        tfMontantElements = new javax.swing.JLabel();
        buttonPrintImputation = new javax.swing.JButton();
        buttonReverser = new javax.swing.JButton();
        tfFiltreEtat = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfFiltreImputation = new javax.swing.JTextField();
        viewTableLbud = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        buttonUpdateLbud = new javax.swing.JButton();
        buttonGetLbud = new javax.swing.JButton();
        buttonDelLbud = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        tfFiltreCodeEllement = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfFiltreNom = new javax.swing.JTextField();
        buttonExporter = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfFiltrePrenom = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        checkCompta = new javax.swing.JComboBox();
        tfMontantSelection = new javax.swing.JLabel();
        btnRechercher = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Gestion des charges à payer");

        listeMois.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        listeMois.setToolTipText("Budget");
        listeMois.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listeMoisActionPerformed(evt);
            }
        });

        btnAjouter.setToolTipText("Ajout d'une nouvelle charge à payer");

        buttonCLose.setText("Fermer");
        buttonCLose.setToolTipText("Fermer la fenêtre");
        buttonCLose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCLoseActionPerformed(evt);
            }
        });

        tfTitre.setBackground(new java.awt.Color(51, 51, 51));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        tfTitre.setForeground(new java.awt.Color(204, 204, 255));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("GESTION DES CHARGES A PAYER");
        tfTitre.setFocusable(false);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout viewTableLayout = new org.jdesktop.layout.GroupLayout(viewTable);
        viewTable.setLayout(viewTableLayout);
        viewTableLayout.setHorizontalGroup(
            viewTableLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 905, Short.MAX_VALUE)
        );
        viewTableLayout.setVerticalGroup(
            viewTableLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 483, Short.MAX_VALUE)
        );

        tfNbElements.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfNbElements.setForeground(new java.awt.Color(51, 51, 255));
        tfNbElements.setText("0 Eléments");

        btnModifier.setToolTipText("Modification du montant de la charge");

        btnSupprimer.setToolTipText("Suppresion de la charge sélectionnée");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        exercices.setToolTipText("Budget");
        exercices.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exercicesActionPerformed(evt);
            }
        });

        buttonPrintAgent.setText("Agents");
        buttonPrintAgent.setToolTipText("Impression des charges à payer du mois");
        buttonPrintAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonPrintAgentActionPerformed(evt);
            }
        });

        tfMontantElements.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfMontantElements.setForeground(new java.awt.Color(51, 51, 255));
        tfMontantElements.setText("0 Eléments");

        buttonPrintImputation.setText("Imputation");
        buttonPrintImputation.setToolTipText("Impression des charges à payer du mois");
        buttonPrintImputation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonPrintImputationActionPerformed(evt);
            }
        });

        buttonReverser.setText("Reverser");
        buttonReverser.setToolTipText("Génération automatique de reversements pour les charges à payer du mois en cours.");
        buttonReverser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonReverserActionPerformed(evt);
            }
        });

        tfFiltreEtat.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreEtat.setToolTipText("Filtre ETAT");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Etat ?");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Imput ?");

        tfFiltreImputation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreImputation.setToolTipText("Filtre ETAT");

        viewTableLbud.setLayout(new java.awt.BorderLayout());

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Ligne Budgétaire :");

        buttonUpdateLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonUpdateLbud.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonUpdateLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonUpdateLbudActionPerformed(evt);
            }
        });

        buttonGetLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonGetLbud.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonGetLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonGetLbudActionPerformed(evt);
            }
        });

        buttonDelLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonDelLbud.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonDelLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonDelLbudActionPerformed(evt);
            }
        });

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Element ?");

        tfFiltreCodeEllement.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreCodeEllement.setToolTipText("Filtre ETAT");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Nom ?");

        tfFiltreNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreNom.setToolTipText("Filtre ETAT");

        buttonExporter.setText("Exporter");
        buttonExporter.setToolTipText("Export excel des données");
        buttonExporter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonExporterActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Prénom?");

        tfFiltrePrenom.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltrePrenom.setToolTipText("Filtre ETAT");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Compta?");

        checkCompta.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        tfMontantSelection.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfMontantSelection.setForeground(new java.awt.Color(51, 51, 255));
        tfMontantSelection.setText("0 Eléments");

        btnRechercher.setToolTipText("");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 934, Short.MAX_VALUE)
                        .addContainerGap())
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(listeMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreCodeEllement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkCompta, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnRechercher, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 53, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(tfNbElements, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 95, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfMontantElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfMontantSelection, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 86, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(52, 52, 52)
                                .add(buttonReverser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(buttonPrintImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonPrintAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonCLose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 119, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .addContainerGap())
                    .add(layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 107, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 529, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(buttonUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(265, 265, 265))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(listeMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfFiltreCodeEllement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel4)
                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel5)
                        .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel6)
                        .add(jLabel2)
                        .add(tfFiltreImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel1)
                        .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel7)
                        .add(checkCompta, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(6, 6, 6)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jLabel3)
                    .add(layout.createSequentialGroup()
                        .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonCLose)
                    .add(tfNbElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonPrintAgent)
                    .add(buttonPrintImputation)
                    .add(buttonReverser)
                    .add(buttonExporter)
                    .add(tfMontantElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfMontantSelection, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-970)/2, (screenSize.height-712)/2, 970, 712);
    }// </editor-fold>//GEN-END:initComponents

	private void listeMoisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listeMoisActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_listeMoisActionPerformed

	private void buttonCLoseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCLoseActionPerformed

		dispose();
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonCLoseActionPerformed

	private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfTitreActionPerformed

	private void exercicesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exercicesActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_exercicesActionPerformed

        private void buttonPrintAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonPrintAgentActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonPrintAgentActionPerformed

        private void buttonPrintImputationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonPrintImputationActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonPrintImputationActionPerformed

        private void buttonReverserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonReverserActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonReverserActionPerformed

        private void buttonUpdateLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonUpdateLbudActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_buttonUpdateLbudActionPerformed

        private void buttonGetLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonGetLbudActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_buttonGetLbudActionPerformed

        private void buttonDelLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDelLbudActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_buttonDelLbudActionPerformed

        private void buttonExporterActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonExporterActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonExporterActionPerformed

	//    /**
	//    * @param args the command line arguments
	//    */
	//    public static void main(String args[]) {
	//        java.awt.EventQueue.invokeLater(new Runnable() {
	//            public void run() {
	//                new KxElementsView().setVisible(true);
	//            }
	//        });
	//    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton buttonCLose;
    protected javax.swing.JButton buttonDelLbud;
    private javax.swing.JButton buttonExporter;
    protected javax.swing.JButton buttonGetLbud;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JButton buttonPrintAgent;
    private javax.swing.JButton buttonPrintImputation;
    private javax.swing.JButton buttonReverser;
    protected javax.swing.JButton buttonUpdateLbud;
    private javax.swing.JComboBox checkCompta;
    protected javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    protected javax.swing.JComboBox listeMois;
    private javax.swing.JTextField tfFiltreCodeEllement;
    private javax.swing.JTextField tfFiltreEtat;
    private javax.swing.JTextField tfFiltreImputation;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfFiltrePrenom;
    private javax.swing.JLabel tfMontantElements;
    private javax.swing.JLabel tfMontantSelection;
    private javax.swing.JLabel tfNbElements;
    private javax.swing.JTextField tfTitre;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableLbud;
    // End of variables declaration//GEN-END:variables




	private void initGui() {

		checkCompta.removeAllItems();
		checkCompta.addItem("*");
		checkCompta.addItem("O");
		checkCompta.addItem("N");
		
		buttonCLose.setIcon(KakiIcones.ICON_CLOSE);
		buttonPrintAgent.setIcon(KakiIcones.ICON_PRINTER_16);
		buttonPrintImputation.setIcon(KakiIcones.ICON_PRINTER_16);
		buttonExporter.setIcon(KakiIcones.ICON_EXCEL_16);
		btnAjouter.setIcon(KakiIcones.ICON_ADD);
		btnModifier.setIcon(KakiIcones.ICON_UPDATE);
		btnSupprimer.setIcon(KakiIcones.ICON_DELETE);
		buttonGetLbud.setIcon(KakiIcones.ICON_ADD);		
		buttonUpdateLbud.setIcon(KakiIcones.ICON_UPDATE);
		buttonDelLbud.setIcon(KakiIcones.ICON_DELETE);
		btnRechercher.setIcon(KakiIcones.ICON_SELECT_16);
		
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.AGENT_KEY+"."+EOPafAgent.PAGE_NOM_KEY, "Nom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.AGENT_KEY+"."+EOPafAgent.PAGE_PRENOM_KEY, "Prénom", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.KX10_ELEMENT_KEY+"."+EOKx10Element.KX_ELEMENT_KEY+"."+EOKxElement.IDELT_KEY,  "Elément", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.KX10_ELEMENT_KEY+"."+EOKx10Element.KX_ELEMENT_KEY+"."+EOKxElement.L_ELEMENT_KEY,  "Libellé", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.KX10_ELEMENT_KEY+"."+EOKx10Element.IMPUT_BUDGET_KEY,  "Imput", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.KX10_ELEMENT_KEY+"."+EOKx10Element.MT_ELEMENT_KEY,  "Montant KX", 80);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.PCAP_QUOTITE_KEY,  "Quot", 60);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.PCAP_MONTANT_KEY,  "Montant Charge", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafChargesAPayer.PCAP_ETAT_KEY,  "Etat", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);
		
		// LBUD
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.ORGAN_KEY + "."+ EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.ORGAN_KEY + "."+ EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.ORGAN_KEY + "."+ EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 115);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.TYPE_CREDIT_KEY + "." + EOTypeCredit.TCD_CODE_KEY, "TCD", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 60);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.CODE_ANALYTIQUE_KEY +"." + EOCodeAnalytique.CAN_CODE_KEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.CONVENTION_KEY +"." + EOConvention.CON_INDEX_KEY, "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapLbud.PCL_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		
		myTableModelLbud = new ZEOTableModel(eodLbud, myCols);
		myTableSorterLbud = new TableSorter(myTableModelLbud);

		myEOTableLbud = new ZEOTable(myTableSorterLbud);
		myTableSorterLbud.setTableHeader(myEOTableLbud.getTableHeader());		
		
		myEOTableLbud.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableLbud.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableLbud.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);		
		
		viewTableLbud.setBorder(BorderFactory.createEmptyBorder());
		viewTableLbud.removeAll();
		viewTableLbud.setLayout(new BorderLayout());
		viewTableLbud.add(new JScrollPane(myEOTableLbud), BorderLayout.CENTER);


	}


	public void setListeExercices(NSArray liste) {

		exercices.removeAllItems();
		for (int i=0;i<liste.count();i++)
			exercices.addItem(liste.objectAtIndex(i));
	}



	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	
	
	public ZEOTable getMyEOTableLbud() {
		return myEOTableLbud;
	}

	public void setMyEOTableLbud(ZEOTable myEOTableLbud) {
		this.myEOTableLbud = myEOTableLbud;
	}

	public ZEOTableModel getMyTableModelLbud() {
		return myTableModelLbud;
	}

	public void setMyTableModelLbud(ZEOTableModel myTableModelLbud) {
		this.myTableModelLbud = myTableModelLbud;
	}

	public javax.swing.JButton getButtonDelLbud() {
		return buttonDelLbud;
	}

	public void setButtonDelLbud(javax.swing.JButton buttonDelLbud) {
		this.buttonDelLbud = buttonDelLbud;
	}

	public javax.swing.JButton getButtonGetLbud() {
		return buttonGetLbud;
	}

	public javax.swing.JLabel getTfMontantSelection() {
		return tfMontantSelection;
	}

	public void setTfMontantSelection(javax.swing.JLabel tfMontantSelection) {
		this.tfMontantSelection = tfMontantSelection;
	}

	public void setButtonGetLbud(javax.swing.JButton buttonGetLbud) {
		this.buttonGetLbud = buttonGetLbud;
	}

	public javax.swing.JButton getButtonUpdateLbud() {
		return buttonUpdateLbud;
	}

	public void setButtonUpdateLbud(javax.swing.JButton buttonUpdateLbud) {
		this.buttonUpdateLbud = buttonUpdateLbud;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	
	
	public javax.swing.JTextField getTfFiltreCodeEllement() {
		return tfFiltreCodeEllement;
	}

	public void setTfFiltreCodeEllement(javax.swing.JTextField tfFiltreCodeEllement) {
		this.tfFiltreCodeEllement = tfFiltreCodeEllement;
	}

	public javax.swing.JTextField getTfFiltreEtat() {
		return tfFiltreEtat;
	}

	public void setTfFiltreEtat(javax.swing.JTextField tfFiltreEtat) {
		this.tfFiltreEtat = tfFiltreEtat;
	}

	public javax.swing.JTextField getTfFiltreImputation() {
		return tfFiltreImputation;
	}

	public void setTfFiltreImputation(javax.swing.JTextField tfFiltreImputation) {
		this.tfFiltreImputation = tfFiltreImputation;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public javax.swing.JComboBox getCheckCompta() {
		return checkCompta;
	}

	public void setCheckCompta(javax.swing.JComboBox checkCompta) {
		this.checkCompta = checkCompta;
	}

	public javax.swing.JTextField getTfFiltrePrenom() {
		return tfFiltrePrenom;
	}

	public void setTfFiltrePrenom(javax.swing.JTextField tfFiltrePrenom) {
		this.tfFiltrePrenom = tfFiltrePrenom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getButtonCLose() {
		return buttonCLose;
	}

	public void setButtonCLose(javax.swing.JButton buttonCLose) {
		this.buttonCLose = buttonCLose;
	}

	public javax.swing.JComboBox getListeMois() {
		return listeMois;
	}

	public void setListeMois(javax.swing.JComboBox listeMois) {
		this.listeMois = listeMois;
	}

	public void setListeMois(NSArray liste) {

		listeMois.removeAllItems();
		for (int i=0;i<liste.count();i++)
			listeMois.addItem(liste.objectAtIndex(i)); 
		
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}
	
	public javax.swing.JLabel getTfMontantElements() {
		return tfMontantElements;
	}

	public void setTfMontantElements(javax.swing.JLabel tfMontantElements) {
		this.tfMontantElements = tfMontantElements;
	}

	
	
	public javax.swing.JButton getButtonPrintAgent() {
		return buttonPrintAgent;
	}

	
	
	public void setButtonPrintAgent(javax.swing.JButton buttonPrintAgent) {
		this.buttonPrintAgent = buttonPrintAgent;
	}

	public javax.swing.JButton getButtonPrintImputation() {
		return buttonPrintImputation;
	}

	public void setButtonPrintImputation(javax.swing.JButton buttonPrintImputation) {
		this.buttonPrintImputation = buttonPrintImputation;
	}

	public javax.swing.JButton getButtonReverser() {
		return buttonReverser;
	}

	public void setButtonReverser(javax.swing.JButton buttonReverser) {
		this.buttonReverser = buttonReverser;
	}

	public javax.swing.JLabel getTfNbElements() {
		return tfNbElements;
	}

	public javax.swing.JButton getButtonExporter() {
		return buttonExporter;
	}

	public void setButtonExporter(javax.swing.JButton buttonExporter) {
		this.buttonExporter = buttonExporter;
	}

	public void setTfNbElements(javax.swing.JLabel tfNbElements) {
		this.tfNbElements = tfNbElements;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JPanel getViewTable() {
		return viewTable;
	}

	public void setViewTable(javax.swing.JPanel viewTable) {
		this.viewTable = viewTable;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}


}
